<?php

namespace app\admin\controller\notify;

use support\Log;
use support\Request;
use Yansongda\Pay\Pay;

class OrderPayController
{
    public function wxpay(Request $request)
    {
        Log::channel('pay')->info("WXPAY_NOTIFY", $request->all());
        try {
            $config = config('payment.wxpay');
            $config['notify_url'] = getenv('NOTIFY_DOMAIN_ADMIN').'/notify/orderPay/wxpay';
            Pay::wechat($config)->success()->send();
        }catch (\Exception $e){
            Log::channel('pay')->info("WXPAY_NOTIFY_FAIL", ['msg'=>"回复失败"]);
        }

    }

    public function alipay(Request $request)
    {
        Log::channel('pay')->info("ALIPAY_NOTIFY", $request->all());
        try {
            $config = config('payment.alipay');
            $config['notify_url'] = getenv('NOTIFY_DOMAIN_ADMIN').'/notify/orderPay/alipay';
            Pay::alipay($config)->success()->send();
        }catch (\Exception $e){
            Log::channel('pay')->info("ALIPAY_NOTIFY_FAIL", ['msg'=>"回复失败"]);
        }
    }
}